Bug 700350 - Review Request: perl-CGI-Session-Driver-memcached - CGI::Session driver for memcached
Review Request: perl-CGI-Session-Driver-memcached - CGI::Session driver for m...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 04:01 EDT by Nicholas van Oudtshoorn
Modified: 2013-10-19 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-CGI-Session-Driver-memcached-0.04-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-02 16:48:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicholas van Oudtshoorn 2011-04-28 04:01:39 EDT
Spec URL: http://dl.dropbox.com/u/8648526/perl-CGI-Session-Driver-memcached.spec
SRPM URL: http://dl.dropbox.com/u/8648526/perl-CGI-Session-Driver-memcached-0.04-1.fc14.src.rpm
Description:

This small module stores session data into memcached.

This is one of the requirements for the Koha Library Management System.

Since I have not yet got any packages in the fedora repository, I am looking for a sponsor.
Comment 1 Iain Arnell 2011-05-29 00:55:52 EDT
There are a couple of issues with this one.

Please don't patch the LICENSE file to fix the address. It's good to see that you're running rpmlint on your packages, but the incorrect-fsf-address "error" is not a review blocker and should be handled simply by asking upstream to update the address.

You should remove the perl(Test::More) runtime dependency.

And, as always, I would like to see the test suite actually test something rather than bail out because memcached isn't running. You could buildrequire memcached and perl(Cache::Memcached), then start memcached in %check and ensure that it is killed properly after running the tests. Something like:

%check
memcached -l 127.0.0.1 &
make test || rc=$?
kill %1
exit $rc

(And while testing this, I discovered an error in perl-CGI-Session packaging - it needs to explicitly require perl(CGI). Fixed in rawhide, and I've submitted updates for f14 and f15).
Comment 2 Nicholas van Oudtshoorn 2011-05-30 21:39:47 EDT
Hi Iain,

Thanks for that. I've already notified upstream about the FSF address - and have now removed the patch from the package.

All your other suggested changes have also been applied. New URLs follow

Spec URL:
http://dl.dropbox.com/u/8648526/perl-CGI-Session-Driver-memcached.spec
SRPM URL:
http://dl.dropbox.com/u/8648526/perl-CGI-Session-Driver-memcached-0.04-2.fc14.src.rpm
Comment 3 Iain Arnell 2011-05-31 00:50:00 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3101244
Comment 4 Iain Arnell 2011-05-31 00:54:08 EDT
Another good package. You can remove the buildroot/clean/defattr stuff, but that's not a blocker, so APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3101244

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
0c8131fc4044f39ed3701aab8b35b5874beccf1c CGI-Session-Driver-memcached-0.04.tar.gz
0c8131fc4044f39ed3701aab8b35b5874beccf1c CGI-Session-Driver-memcached-0.04.tar.gz.srpm

Final provides / requires are sane:

======> perl-CGI-Session-Driver-memcached-0.04-2.fc16.noarch.rpm <======
====> rpmlint
perl-CGI-Session-Driver-memcached.noarch: E: incorrect-fsf-address /usr/share/doc/perl-CGI-Session-Driver-memcached-0.04/LICENSE
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
====> provides
perl(CGI::Session::Driver::memcached) = 0.04
perl-CGI-Session-Driver-memcached = 0.04-2.fc16
====> requires
perl(Cache::Memcached)  
perl(Carp)  
perl(CGI::Session) >= 4
perl(CGI::Session::Driver)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
====> obsoletes
====> conflicts

======> perl-CGI-Session-Driver-memcached-0.04-2.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
memcached  
perl(Cache::Memcached)  
perl(CGI::Session) >= 4
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.10 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.10
INFO: Mock Version: 1.1.10
State Changed: lock buildroot
INFO: installing package(s): perl-CGI-Session-Driver-memcached-0.04-2.fc16.noarch.rpm
INFO: 
================================================================================
 Package                           Arch   Version           Repository     Size
================================================================================
Installing:
 perl-CGI-Session-Driver-memcached noarch 0.04-2.fc16       /perl-CGI-Session-Driver-memcached-0.04-2.fc16.noarch
                                                                           26 k
Installing for dependencies:
 libevent                          x86_64 2.0.10-2.fc15     fedora        157 k
 mailcap                           noarch 2.1.37-1.fc15     fedora         28 k
 perl-AnyEvent                     noarch 5.27-4.fc16       fedora        318 k
 perl-AnyEvent-AIO                 noarch 1.1-6.fc15        fedora        8.1 k
 perl-AnyEvent-BDB                 noarch 1.1-5.fc15        fedora        8.2 k
 perl-Async-MergePoint             noarch 0.03-5.fc15       fedora         19 k
 perl-BDB                          x86_64 1.88-3.fc15       fedora         84 k
 perl-CGI                          noarch 3.51-2.fc15       fedora        200 k
 perl-CGI-Session                  noarch 4.35-8.fc16       fedora        118 k
 perl-CPAN                         noarch 1.9402-160.fc16   fedora        246 k
 perl-Cache-Memcached              noarch 1.29-3.fc15       fedora         27 k
 perl-Compress-Raw-Bzip2           x86_64 2.035-1.fc16      fedora         31 k
 perl-Compress-Raw-Zlib            x86_64 2.035-1.fc16      fedora         58 k
 perl-Coro                         x86_64 5.372-3.fc16      fedora        236 k
 perl-Curses                       x86_64 1.28-2.fc15       fedora        108 k
 perl-DBD-Pg                       x86_64 2.18.0-2.fc16     fedora        200 k
 perl-DBI                          x86_64 1.616-3.fc16      fedora        780 k
 perl-Data-Peek                    x86_64 0.33-1.fc16       fedora         27 k
 perl-Digest-SHA                   x86_64 1:5.47-160.fc16   fedora         63 k
 perl-EV                           x86_64 4.03-5.fc16       fedora        260 k
 perl-Encode-Locale                noarch 1.02-2.fc16       fedora         14 k
 perl-Event                        x86_64 1.15-1.fc16       fedora        288 k
 perl-Event-Lib                    x86_64 1.03-14.fc15      fedora         53 k
 perl-ExtUtils-MakeMaker           noarch 6.56-160.fc16     fedora        289 k
 perl-ExtUtils-ParseXS             noarch 1:2.2206-160.fc16 fedora         44 k
 perl-FCGI                         x86_64 1:0.71-5.fc15     fedora         41 k
 perl-FreezeThaw                   noarch 0.5001-4.fc15     fedora         20 k
 perl-Glib                         x86_64 1.223-2.fc15      fedora        370 k
 perl-Guard                        x86_64 1.021-4.fc15      fedora         18 k
 perl-HTML-Parser                  x86_64 3.68-3.fc15       fedora        111 k
 perl-HTML-Tagset                  noarch 3.20-7.fc15       fedora         17 k
 perl-HTTP-Date                    noarch 6.00-1.fc16       fedora         12 k
 perl-HTTP-Message                 noarch 6.02-1.fc16       fedora         77 k
 perl-Heap                         noarch 0.80-8.fc15       fedora         46 k
 perl-IO-AIO                       x86_64 3.71-2.fc16       fedora         96 k
 perl-IO-Async                     noarch 0.29-4.fc15       fedora        159 k
 perl-IO-Compress                  noarch 2.035-1.fc16      fedora        222 k
 perl-IO-Socket-SSL                noarch 1.44-1.fc16       fedora         73 k
 perl-IO-Tty                       x86_64 1.10-1.fc15       fedora         41 k
 perl-LWP-MediaTypes               noarch 6.01-2.fc16       fedora         18 k
 perl-Net-HTTP                     noarch 6.01-1.fc16       fedora         23 k
 perl-Net-LibIDN                   x86_64 0.12-6.fc15       fedora         33 k
 perl-Net-SSLeay                   x86_64 1.36-4.fc15       fedora        173 k
 perl-POE                          noarch 1.289-4.fc15      fedora        580 k
 perl-Socket-GetAddrInfo           x86_64 0.16-3.fc15       fedora         32 k
 perl-Socket6                      x86_64 0.23-6.fc15       fedora         23 k
 perl-String-CRC32                 x86_64 1.4-12.fc15       fedora         15 k
 perl-TermReadKey                  x86_64 2.30-12.fc15      fedora         31 k
 perl-Test-Harness                 noarch 3.17-160.fc16     fedora        239 k
 perl-Test-Simple                  noarch 0.98-1.fc16       fedora        117 k
 perl-TimeDate                     noarch 1:1.20-4.fc15     fedora         42 k
 perl-URI                          noarch 1.58-1.fc16       fedora        102 k
 perl-YAML                         noarch 0.73-1.fc16       fedora         81 k
 perl-common-sense                 noarch 3.4-1.fc16        fedora         23 k
 perl-devel                        x86_64 4:5.12.3-160.fc16 fedora        449 k
 perl-version                      x86_64 3:0.88-3.fc16     fedora         66 k
 perltidy                          noarch 20101217-2.fc15   fedora        355 k
 postgresql-libs                   x86_64 9.0.4-2.fc16      fedora        202 k
 systemtap-sdt-devel               x86_64 1.5-1.fc16        fedora         43 k

Transaction Summary
================================================================================
Install      60 Package(s)

Total size: 7.5 M
Total download size: 118 k
Installed size: 19 M

Installed:
  perl-CGI-Session-Driver-memcached.noarch 0:0.04-2.fc16                        

Dependency Installed:
  libevent.x86_64 0:2.0.10-2.fc15                                               
  mailcap.noarch 0:2.1.37-1.fc15                                                
  perl-AnyEvent.noarch 0:5.27-4.fc16                                            
  perl-AnyEvent-AIO.noarch 0:1.1-6.fc15                                         
  perl-AnyEvent-BDB.noarch 0:1.1-5.fc15                                         
  perl-Async-MergePoint.noarch 0:0.03-5.fc15                                    
  perl-BDB.x86_64 0:1.88-3.fc15                                                 
  perl-CGI.noarch 0:3.51-2.fc15                                                 
  perl-CGI-Session.noarch 0:4.35-8.fc16                                         
  perl-CPAN.noarch 0:1.9402-160.fc16                                            
  perl-Cache-Memcached.noarch 0:1.29-3.fc15                                     
  perl-Compress-Raw-Bzip2.x86_64 0:2.035-1.fc16                                 
  perl-Compress-Raw-Zlib.x86_64 0:2.035-1.fc16                                  
  perl-Coro.x86_64 0:5.372-3.fc16                                               
  perl-Curses.x86_64 0:1.28-2.fc15                                              
  perl-DBD-Pg.x86_64 0:2.18.0-2.fc16                                            
  perl-DBI.x86_64 0:1.616-3.fc16                                                
  perl-Data-Peek.x86_64 0:0.33-1.fc16                                           
  perl-Digest-SHA.x86_64 1:5.47-160.fc16                                        
  perl-EV.x86_64 0:4.03-5.fc16                                                  
  perl-Encode-Locale.noarch 0:1.02-2.fc16                                       
  perl-Event.x86_64 0:1.15-1.fc16                                               
  perl-Event-Lib.x86_64 0:1.03-14.fc15                                          
  perl-ExtUtils-MakeMaker.noarch 0:6.56-160.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-160.fc16                                
  perl-FCGI.x86_64 1:0.71-5.fc15                                                
  perl-FreezeThaw.noarch 0:0.5001-4.fc15                                        
  perl-Glib.x86_64 0:1.223-2.fc15                                               
  perl-Guard.x86_64 0:1.021-4.fc15                                              
  perl-HTML-Parser.x86_64 0:3.68-3.fc15                                         
  perl-HTML-Tagset.noarch 0:3.20-7.fc15                                         
  perl-HTTP-Date.noarch 0:6.00-1.fc16                                           
  perl-HTTP-Message.noarch 0:6.02-1.fc16                                        
  perl-Heap.noarch 0:0.80-8.fc15                                                
  perl-IO-AIO.x86_64 0:3.71-2.fc16                                              
  perl-IO-Async.noarch 0:0.29-4.fc15                                            
  perl-IO-Compress.noarch 0:2.035-1.fc16                                        
  perl-IO-Socket-SSL.noarch 0:1.44-1.fc16                                       
  perl-IO-Tty.x86_64 0:1.10-1.fc15                                              
  perl-LWP-MediaTypes.noarch 0:6.01-2.fc16                                      
  perl-Net-HTTP.noarch 0:6.01-1.fc16                                            
  perl-Net-LibIDN.x86_64 0:0.12-6.fc15                                          
  perl-Net-SSLeay.x86_64 0:1.36-4.fc15                                          
  perl-POE.noarch 0:1.289-4.fc15                                                
  perl-Socket-GetAddrInfo.x86_64 0:0.16-3.fc15                                  
  perl-Socket6.x86_64 0:0.23-6.fc15                                             
  perl-String-CRC32.x86_64 0:1.4-12.fc15                                        
  perl-TermReadKey.x86_64 0:2.30-12.fc15                                        
  perl-Test-Harness.noarch 0:3.17-160.fc16                                      
  perl-Test-Simple.noarch 0:0.98-1.fc16                                         
  perl-TimeDate.noarch 1:1.20-4.fc15                                            
  perl-URI.noarch 0:1.58-1.fc16                                                 
  perl-YAML.noarch 0:0.73-1.fc16                                                
  perl-common-sense.noarch 0:3.4-1.fc16                                         
  perl-devel.x86_64 4:5.12.3-160.fc16                                           
  perl-version.x86_64 3:0.88-3.fc16                                             
  perltidy.noarch 0:20101217-2.fc15                                             
  postgresql-libs.x86_64 0:9.0.4-2.fc16                                         
  systemtap-sdt-devel.x86_64 0:1.5-1.fc16                                       


State Changed: unlock buildroot
State Changed: end
Comment 5 Iain Arnell 2011-10-26 22:59:54 EDT
This one is approved and ready for you too.
Comment 6 Nicholas van Oudtshoorn 2011-10-26 23:08:05 EDT
Thanks Ian!

New Package SCM Request
=======================
Package Name: perl-CGI-Session-Driver-memcached
Short Description: CGI::Session driver for memcached
Owners: vanoudt
Branches: f15 f16 
InitialCC: perl-sig
Comment 7 Jon Ciesla 2011-10-27 08:27:14 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-12-22 21:21:27 EST
perl-CGI-Session-Driver-memcached-0.04-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-CGI-Session-Driver-memcached-0.04-2.fc16
Comment 9 Fedora Update System 2011-12-23 17:23:24 EST
perl-CGI-Session-Driver-memcached-0.04-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2012-01-02 16:48:27 EST
perl-CGI-Session-Driver-memcached-0.04-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.